Package org.h2gis.functions.spatial.topography

# Class ST_TriangleDirection

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.topography.ST_TriangleDirection

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_TriangleDirection extends org.h2gis.api.DeterministicScalarFunction
This function is used to compute the main slope direction on a triangle.

Author:
  Erwan Bocher

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_TriangleDirection()`

## Method Summary

Modifier and Type
Method
Description
`static org.locationtech.jts.geom.LineString`
`computeDirection(org.locationtech.jts.geom.Geometry geometry)`
Compute the main slope direction
`String`
`getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_TriangleDirection

public ST_TriangleDirection()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### computeDirection

public static org.locationtech.jts.geom.LineString computeDirection(org.locationtech.jts.geom.Geometry geometry) throws IllegalArgumentException
Compute the main slope direction

Parameters:
  `geometry` -
Returns:
Throws:
  `IllegalArgumentException`